version: '3.9'

networks:
  simulation-network:
    driver: bridge

services:
  nginx:
    image: nginx:mainline-alpine
    container_name: nginx
    ports:
      - "80:80"
    volumes:
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
      - staticfiles:/home/app/web/simulation_staticfiles
    depends_on:
      - simulation_webapp
    networks:
      - simulation-network

  simulation_postgres_db:
    image: postgres
    container_name: simulation_postgres_db
    environment:
      - POSTGRES_DB=simulation
      - POSTGRES_USER=${SIMULATION_DB_ADMIN}
      - POSTGRES_PASSWORD=${SIMULATION_DB_PASSWORD}
    networks:
      - simulation-network
    volumes:
      - postgres_data:/var/lib/postgresql/data
  simulation_webapp:
    image: simulation_webapp_image
    container_name: simulation_webapp
    command: python manage.py runserver 0.0.0.0:8000
    environment:
      - DEBUG_MODE=True
      - SECRET_KEY=${SIMULATION_SECRET_KEY}
      - ALLOWED_HOSTS=localhost
      - DB_HOST=simulation_postgres_db
      - SQL_ENGINE=django.db.backends.postgresql
      - DB_NAME=simulation
      - DB_USER=${SIMULATION_DB_ADMIN}
      - DB_PASS=${SIMULATION_DB_PASSWORD}

    volumes:
      - staticfiles:/code/static_prod
    depends_on:
      - simulation_postgres_db
    networks:
      - simulation-network

volumes:
  staticfiles:
    driver: local
  postgres_data:
    driver: local
